<template>
  <div
    :class="`flex items-center bg-${color}-500 border-l-4 border-${color}-700 py-2 px-3 shadow-md mb-4`"
  >
    <div :class="`text-${color}-500 rounded-full bg-white mr-3 h-8 w-8 flex justify-center`">
      <font-awesome-icon :icon="icon" class="h-full w-full"/>
    </div>
    <div class="text-white max-w-xs ">
      {{text}}
    </div>
  </div>
</template>

<script>
export default {
  name: "AlertBanner",
  props: {
    icon: {
      default: null,
      svg: String
    },
    text: String,
    color: {
      default: "green",
      type: String
    }
  }
}
</script>

<style scoped></style>
